API referenceRecipients
Update a recipient on a draft envelope
Scope envelopes:write. Drafts only.
apiKeyheader
AuthorizationBearer <fv_live_… or fv_test_…>id*stringFormat
uuidrecipientId*stringFormat
uuidapplication/json- body
name*stringLength
length <= 200email*stringFormat
emailrole?stringDefault
"sign"Value in
"sign""approve""copy"order?integerPosition when send_in_order is true
Range
1 <= value <= 100phone?stringE.164 (+14155552671); required when auth.sms_otp is true
Length
length <= 30language?stringLength
length <= 50private_note?stringShown only to this recipient
Length
length <= 2000auth?The updated recipient
application/json- response
success*booleanrequest_id*stringFormat
uuiddata?curl -X PATCH 'https://api.flowverify.co/v1/envelopes/497f6eca-6276-4993-bfeb-53cbbbba6f08/recipients/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "email": "[email protected]"}'Example Response
{ "success": true, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846", "data": { "object": "recipient", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "email": "string", "phone": "string", "role": "sign", "order": 0, "status": "pending", "language": "string", "auth": { "email_otp": true, "sms_otp": true }, "sent_at": "2019-08-24T14:15:22Z", "viewed_at": "2019-08-24T14:15:22Z", "signed_at": "2019-08-24T14:15:22Z", "declined_at": "2019-08-24T14:15:22Z", "decline_reason": "string" }}